package com.gic.haoban.manage.service.pojo.bo.welcome;

import java.util.List;

/**
 * desc：保存欢迎语bo
 *
 * @author: YongEn
 * @date: 2022/2/8
 **/
public class SaveWelcomeBO {
    /**
     * 欢迎语id
     */
    private String welcomeId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String welcomeContent;
    /**
     * 操作人id
     */
    private String operatorId;
    /**
     * 操作人名称
     */
    private String operatorName;
    /**
     * 欢迎语媒体列表
     */
    private List<SaveWelcomeMediaBO> mediaList;
    /**
     * 适用部门新增列表
     */
    private List<WelcomeSuitDepartmentBO> suitDepartmentAddList;
    /**
     * 适用部门删除列表
     */
    private List<WelcomeSuitDepartmentBO> suitDepartmentDeleteList;
    /**
     * 适用员工新增列表
     */
    private List<WelcomeSuitStaffBO> suitStaffAddList;
    /**
     * 适用员工删除列表
     */
    private List<WelcomeSuitStaffBO> suitStaffDeleteList;

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWelcomeContent() {
        return welcomeContent;
    }

    public void setWelcomeContent(String welcomeContent) {
        this.welcomeContent = welcomeContent;
    }

    public List<SaveWelcomeMediaBO> getMediaList() {
        return mediaList;
    }

    public void setMediaList(List<SaveWelcomeMediaBO> mediaList) {
        this.mediaList = mediaList;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public List<WelcomeSuitDepartmentBO> getSuitDepartmentAddList() {
        return suitDepartmentAddList;
    }

    public void setSuitDepartmentAddList(List<WelcomeSuitDepartmentBO> suitDepartmentAddList) {
        this.suitDepartmentAddList = suitDepartmentAddList;
    }

    public List<WelcomeSuitDepartmentBO> getSuitDepartmentDeleteList() {
        return suitDepartmentDeleteList;
    }

    public void setSuitDepartmentDeleteList(List<WelcomeSuitDepartmentBO> suitDepartmentDeleteList) {
        this.suitDepartmentDeleteList = suitDepartmentDeleteList;
    }

    public List<WelcomeSuitStaffBO> getSuitStaffAddList() {
        return suitStaffAddList;
    }

    public void setSuitStaffAddList(List<WelcomeSuitStaffBO> suitStaffAddList) {
        this.suitStaffAddList = suitStaffAddList;
    }

    public List<WelcomeSuitStaffBO> getSuitStaffDeleteList() {
        return suitStaffDeleteList;
    }

    public void setSuitStaffDeleteList(List<WelcomeSuitStaffBO> suitStaffDeleteList) {
        this.suitStaffDeleteList = suitStaffDeleteList;
    }

    @Override
    public String toString() {
        return "SaveWelcomeBO{" +
                "welcomeId='" + welcomeId + '\'' +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", title='" + title + '\'' +
                ", welcomeContent='" + welcomeContent + '\'' +
                ", operatorId='" + operatorId + '\'' +
                ", operatorName='" + operatorName + '\'' +
                ", mediaList=" + mediaList +
                ", suitDepartmentAddList=" + suitDepartmentAddList +
                ", suitDepartmentDeleteList=" + suitDepartmentDeleteList +
                ", suitStaffAddList=" + suitStaffAddList +
                ", suitStaffDeleteList=" + suitStaffDeleteList +
                '}';
    }
}
